docs

# EncryptedCredentials

data class EncryptedCredentials ( val data: EncryptedData , val hash: SourceBytes, val secret: EncryptedByBotPublicKeyData )
Content copied to clipboard

## Constructors

EncryptedCredentials
Link copied to clipboard
fun EncryptedCredentials ( data: EncryptedData , hash: SourceBytes, secret: EncryptedByBotPublicKeyData )
Content copied to clipboard

## Properties

data
Link copied to clipboard
val data : EncryptedData
Content copied to clipboard
hash
Link copied to clipboard
val hash : SourceBytes
Content copied to clipboard
secret
Link copied to clipboard
val secret : EncryptedByBotPublicKeyData
Content copied to clipboard

## Extensions

decryptWithPKCS8PrivateKey
Link copied to clipboard
fun EncryptedCredentials . decryptWithPKCS8PrivateKey (privateKey: PrivateKey ): DecryptedCredentials
Content copied to clipboard
fun EncryptedCredentials . decryptWithPKCS8PrivateKey (key: String ): DecryptedCredentials
Content copied to clipboard